import { z } from "zod"

export const autoCompleteLocationSchema = z.object({
  id: z.string(),
  name: z.string(),
  type: z.enum(["cities", "hotels", "countries"]),
  searchTokens: z.array(z.string()),
  destination: z.string(),
  url: z.string().optional(),
  cityIdentifier: z.string().optional(),
})

export type AutoCompleteLocation = z.infer<typeof autoCompleteLocationSchema>
